List Establishments By Company Name
Introduction
This API is responsible for generating a list of EPFO Establishment IDs associated with a particular company name. In addition to Establishment ID, it also provides basic metadata such as Establishment Name and Office Address.
cURL
curl --location 'https://api.signzy.app/api/v3/underwriting/list-epfo-establishment' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Auth Token>' \
--data '{
"companyName": "<Company Name>"
}'Request Headers
Key | Value |
|---|---|
Authorization | shared by Signzy |
Content-type | application/json |
Request Body
{
"companyName": "Signzy"
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
companyName | Name of the company for which list of associated establishment Id need to be fetched | String (min 4 char) | COMPULSORY |
Response Data
{
"transactionId": "TS-VYA-612041",
"result": [
{
"address": "18 B, Kubera Bahar Bunglows,Soc 131 2 Baner Pashan Link Road",
"establishmentId": "PUPUN1753022000",
"establishmentName": "Signzy Technologies Private Limited",
"office": "PUNE",
"requestId": 2834803
}
]
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
transactionId | This is an unique 13 character long alphanumeric string created during successful | String | COMPULSORY |
result | This parameter contains the actual output i.e. a list of objects consisting of sub-fields such as 'address', 'establishmentId', 'establishmentName', 'office', 'requestId' | List[Object] | COMPULSORY |
result[].establishmentId | This is an unique 15 character long alphanumeric string | String | COMPULSORY |
result[].requestId | This is an unique 7 character long numeric string created for each establishment id | Integer | COMPULSORY |
result[].establishmentName | This represents the name of the establishment | String | COMPULSORY |
result[].address | This represents the address of the establishment | String | COMPULSORY |
result[].office | This represents the city name of the establishment's office | String | COMPULSORY |
NOTE: Above fields are Compulsory during 200 OK Response.
Sample Status Codes And Messages
{
"error": {
"reason": "Error",
"status": 409,
"message": "Unable to fetch data from upstream",
"type": "Conflict",
"statusCode": 409,
"name": "error"
}
}
1. Something went wrong. please try again.
2. Unable to fetch data from upstream
2. Invalid request. Please check Token and/or Data.